Implementation of the 'block' markup element. A div HTML element is created and the and the classes lto-block is added to allow CSS modifications.

see

  IRenderable

see

  IStackeable

### Hierarchy

- SmallDevice

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new SmallDevice(message: ISpecification): SmallDevice

- - Defined in lib/renderable/smallDevice/index.ts:14

  #### Parameters

  - ##### message: ISpecification

  #### Returns SmallDevice

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/smallDevice/index.ts:14

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/smallDevice/index.ts:23

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc